Entity
List entities in the same workspace.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger · min: 1 · max: 9007199254740991OptionalDefault:
Which page to fetch
1pageSizeinteger · min: 1 · max: 30OptionalDefault:
Page size to use
30statusstring · enumOptionalPossible values:
Entity status
sortBystring · enumOptionalDefault:
Sort by attribute
createdAtPossible values: sortOrderstring · enumOptionalDefault:
Sort order
ascPossible values: Responses
200
Successful response
application/json
pagenumberRequired
Current page
nextnumber · nullableRequired
Next page or null if there is none
prevnumber · nullableRequired
Previous page or null if there is none
pageSizenumberRequired
Max count of items per page
totalnumberRequired
Total count of items
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/entities
GET /rest/entities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"page": 1,
"next": 1,
"prev": 1,
"pageSize": 1,
"total": 1,
"results": [
{
"id": "text",
"legacyId": 1,
"name": "text",
"status": "ACTIVE",
"accountIds": [
"text"
],
"memberIds": [
"text"
],
"createdAt": "text",
"updatedAt": "text"
}
]
}Find an entity by ID.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Id of the target entity
Responses
200
Successful response
application/json
Entity
idstringRequired
Entity ID
legacyIdnumberRequired
Legacy internal unique identifier (for retro-compatibility)
namestringRequired
Entity name
statusstring · enumRequiredPossible values:
Entity status
accountIdsstring[]Required
Accounts in this entity
memberIdsstring[]Required
Users in this entity
createdAtstringRequired
Creation timestamp
updatedAtstringRequired
Last modification timestamp
400
Invalid input data
application/json
401
Authorization not provided
application/json
403
Insufficient access
application/json
404
Not found
application/json
500
Internal server error
application/json
get/entities/{id}
GET /rest/entities/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "text",
"legacyId": 1,
"name": "text",
"status": "ACTIVE",
"accountIds": [
"text"
],
"memberIds": [
"text"
],
"createdAt": "text",
"updatedAt": "text"
}Last updated